Skip to main content
`Ctrl`+`K`

# RotaryPositionalEmbeddings

MIOpen: RotaryPositionalEmbeddings
Functions
RotaryPositionalEmbeddings

## Functions

miopenStatus_t | miopenRoPEForward (miopenHandle_t handle, const miopenTensorDescriptor_t xDesc, const void *x, const miopenTensorDescriptor_t cosDesc, const void *cos, const miopenTensorDescriptor_t sinDesc, const void *sin, const miopenTensorDescriptor_t yDesc, void *y)
| Execute a rope forward layer.
miopenStatus_t | miopenRoPEBackward (miopenHandle_t handle, const miopenTensorDescriptor_t dyDesc, const void *dy, const miopenTensorDescriptor_t cosDesc, const void *cos, const miopenTensorDescriptor_t sinDesc, const void *sin, const miopenTensorDescriptor_t dxDesc, void *dx)
| Execute a rope backward layer.

## Detailed Description

## Function Documentation

## ◆ miopenRoPEBackward()

miopenStatus_t miopenRoPEBackward | ( | miopenHandle_t | handle,
|  | const miopenTensorDescriptor_t | dyDesc,
|  | const void * | dy,
|  | const miopenTensorDescriptor_t | cosDesc,
|  | const void * | cos,
|  | const miopenTensorDescriptor_t | sinDesc,
|  | const void * | sin,
|  | const miopenTensorDescriptor_t | dxDesc,
|  | void * | dx )

Execute a rope backward layer.

Parameters

  [in] | handle | MIOpen handle
  [in] | dyDesc | Tensor descriptor for data input tensor dy
  [in] | dy | Data tensor dy
  [in] | cosDesc | Tensor descriptor for output data tensor cos
  [in] | cos | Data tensor cos
  [in] | sinDesc | Tensor descriptor for data input tensor sin
  [in] | sin | Data tensor sin
  [in] | dxDesc | Tensor descriptor for output data tensor dx
  [out] | dx | Data tensor dx

Returns
  miopenStatus_t

## ◆ miopenRoPEForward()

miopenStatus_t miopenRoPEForward | ( | miopenHandle_t | handle,
|  | const miopenTensorDescriptor_t | xDesc,
|  | const void * | x,
|  | const miopenTensorDescriptor_t | cosDesc,
|  | const void * | cos,
|  | const miopenTensorDescriptor_t | sinDesc,
|  | const void * | sin,
|  | const miopenTensorDescriptor_t | yDesc,
|  | void * | y )

Execute a rope forward layer.

Parameters

  [in] | handle | MIOpen handle
  [in] | xDesc | Tensor descriptor for data input tensor x
  [in] | x | Data tensor x
  [in] | cosDesc | Tensor descriptor for data input tensor cos
  [in] | cos | Data tensor cos
  [in] | sinDesc | Tensor descriptor for data input tensor sin
  [in] | sin | Data tensor sin
  [in] | yDesc | Tensor descriptor for output data tensor y
  [out] | y | Data tensor y

Returns
  miopenStatus_t